## tw-cli-wrapper 0.5~7985.2909e5a

=== Makefile ===
all:
	make -C src all
	make -C man all

install:
	make -C src install

test:
	make -C src test

clean:
	make -C src clean
	make -C man clean

.PHONY: test install clean all

=== man/Makefile ===
tw_cli_wrapper.1: %: %.txt
	txt2man -t tw_cli_wrapper -s 1 $< > $@

clean:
	$(RM) tw_cli_wrapper.1

all: tw_cli_wrapper.1

.PHONY: all clean

=== src/Makefile ===

# CFLAGS := -Wall
#DEBUGFLAGS := -g -DDEBUG
PREFIX  := /usr/local
BINDIR  := $(PREFIX)/bin

all: tw_cli_wrapper

install: tw_cli_wrapper
	install -D -m 4755 $< $(DESTDIR)$(BINDIR)/$<

test: tw_cli_wrapper
	./tw_cli_wrapper_test.rb

clean:
	$(RM) tw_cli_wrapper

%: %.c %.h
	$(CC) $(CDEBUGFLAGS) $(CFLAGS) -static -o $@ $<

.PHONY: all clean install test

=== debian/changelog ===
tw-cli-wrapper (0.5~7985.2909e5a) stable; urgency=low

  **** SNAPSHOT BUILD ****

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Tue, 11 Apr 2017 14:12:47 +0100

tw-cli-wrapper (0.4) stable; urgency=low

  * Ensure binary is statically linked, as it is setuid.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 26 May 2011 15:14:28 +0100

tw-cli-wrapper (0.3.0) stable; urgency=low

  * More sanity checking and buffer overrun checks.
  * Moved to cdbs.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 26 May 2011 14:16:40 +0100

tw-cli-wrapper (0.2.1) stable; urgency=low

  * Tidied up packaging and dependencies

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 24 May 2007 13:57:20 +0100

tw-cli-wrapper (0.2.0) stable; urgency=low

  * Tagged version 0.2

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 24 May 2007 13:57:19 +0100

tw-cli-wrapper (0.1.5) stable; urgency=low

  * Allowed /c?? show as a comand

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 24 May 2007 11:33:23 +0100

tw-cli-wrapper (0.1.4) stable; urgency=low

  * Changed to use /usr/sbin/tw_cli rather than /usr/local/bin/tw_cli_9000

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Thu, 24 May 2007 09:50:00 +0100

tw-cli-wrapper (0.1.3) stable; urgency=low

  * Adjused architecture field in Debian control file to any

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Fri, 18 May 2007 15:32:13 +0100

tw-cli-wrapper (0.1.2) stable; urgency=low

  * Fixed sprintf'ing to null pointer (thanks Steve!)

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Fri, 18 May 2007 14:56:39 +0100

tw-cli-wrapper (0.1.1) stable; urgency=low

  * Tidied up making the package

 -- Patrick Cherry <patrick@bytemark.co.uk>  Fri, 18 May 2007 14:36:25 +0100

tw-cli-wrapper (0.1.0) stable; urgency=low

  * Tidied up debian packaging

 -- Patrick Cherry <patrick@bytemark.co.uk>  Fri, 18 May 2007 13:02:31 +0100

=== debian/control ===
Source: tw-cli-wrapper
Section: admin
Priority: optional
Maintainer: Patrick J Cherry <patrick@bytemark.co.uk>
Standards-Version: 3.8.3
Build-Depends: debhelper (>= 5), cdbs, txt2man, ruby

Package: tw-cli-wrapper
Architecture: any
Depends:  3ware-tools, ${shlibs:Depends}, ${misc:Depends}
Description: Wrapper to tw_cli, allowing a limited number of commands to be performed
 This allows non-root users to query the status of 3Ware/AMCC/LSI raid cards,
 controlled by the tw_cli utility.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_BUILD_OPTIONS       := nocheck
DEB_MAKE_BUILD_TARGET   := all
DEB_MAKE_CHECK_TARGET   := test
DEB_MAKE_INSTALL_TARGET := install DESTDIR=$(CURDIR)/debian/tw-cli-wrapper PREFIX=/usr

## tw-cli-wrapper 0.5~238050.da65300

=== debian/changelog ===
tw-cli-wrapper (0.5~238050.da65300) stable; urgency=low

  **** SNAPSHOT BUILD ****

 -- Mark Egan-Fuller <mark.eganfuller@bytemark.co.uk>  Wed, 2 Jun 2021 11:03:36 +0100
